org.bouncycastle.asn1.dvcs

## Class DVCSErrorNotice

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Object
  - - org.bouncycastle.asn1.dvcs.DVCSErrorNotice

- All Implemented Interfaces:
    ASN1Encodable, Encodable

      public class DVCSErrorNotice
      extends ASN1Object

           DVCSErrorNotice ::= SEQUENCE {
               transactionStatus           PKIStatusInfo ,
               transactionIdentifier       GeneralName OPTIONAL
           }

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DVCSErrorNotice(PKIStatusInfo status)`
    `DVCSErrorNotice(PKIStatusInfo status, GeneralName transactionIdentifier)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DVCSErrorNotice` | `getInstance(ASN1TaggedObject obj, boolean explicit)`
    `static DVCSErrorNotice` | `getInstance(java.lang.Object obj)`
    `GeneralName` | `getTransactionIdentifier()`
    `PKIStatusInfo` | `getTransactionStatus()`
    `ASN1Primitive` | `toASN1Primitive()` Method providing a primitive representation of this object suitable for encoding.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Object

      `encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DVCSErrorNotice

          public DVCSErrorNotice(PKIStatusInfo status)

    - #### DVCSErrorNotice

          public DVCSErrorNotice(PKIStatusInfo status,
                                 GeneralName transactionIdentifier)

  - ### Method Detail

    - #### getInstance

          public static DVCSErrorNotice getInstance(java.lang.Object obj)

    - #### getInstance

          public static DVCSErrorNotice getInstance(ASN1TaggedObject obj,
                                                    boolean explicit)

    - #### toASN1Primitive

          public ASN1Primitive toASN1Primitive()

      Description copied from class: `ASN1Object`
      Method providing a primitive representation of this object suitable for encoding.
      Specified by:
        `toASN1Primitive` in interface `ASN1Encodable`
      Specified by:
        `toASN1Primitive` in class `ASN1Object`
      Returns:
        a primitive representation of this object.

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### getTransactionStatus

          public PKIStatusInfo getTransactionStatus()

    - #### getTransactionIdentifier

          public GeneralName getTransactionIdentifier()